cURL
curl -X POST https://api.aiql.io/canvases/{canvas_id}/artboards/{artboard_id}/messages \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Canvases
Create Artboard Message
POST
/
canvases
/
{canvas_id}
/
artboards
/
{artboard_id}
/
messages
cURL
curl -X POST https://api.aiql.io/canvases/{canvas_id}/artboards/{artboard_id}/messages \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Body
application/json
Follow-up instruction for this section.
Response
Successful Response